;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50bbdb3.el
;; for the Debian bbdb3 package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>
;; Updated by Barak A. Pearlmutter <bap@debian.org>

;; The bbdb3 package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
			   (if (boundp 'debian-emacs-flavor)
			       (symbol-name debian-emacs-flavor)
			     "emacs")
			   "/site-lisp/bbdb3")))
  ;; If package-dir does not exist the bbdb3 package must have been
  ;; removed but not purged, and we should skip the setup.
  (when (file-directory-p package-dir)
    (debian-pkg-add-load-path-item package-dir)
    (require 'bbdb-loaddefs)))
